summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Goodliffe <dan@randomdan.homeip.net>2020-02-02 17:36:46 +0000
committerDan Goodliffe <dan@randomdan.homeip.net>2020-02-02 17:36:46 +0000
commit6e3a31ca6094f32f169936693f34052052fb593e (patch)
treeb58b60b575393e2dfcd7035c6826335b012ef8bb
parentDisable doc on servers (diff)
downloadportage-6e3a31ca6094f32f169936693f34052052fb593e.tar.bz2
portage-6e3a31ca6094f32f169936693f34052052fb593e.tar.xz
portage-6e3a31ca6094f32f169936693f34052052fb593e.zip
pkgconfig support in bjam eclass
-rw-r--r--eclass/bjam.eclass12
1 files changed, 12 insertions, 0 deletions
diff --git a/eclass/bjam.eclass b/eclass/bjam.eclass
index 294c283..f6cc7c1 100644
--- a/eclass/bjam.eclass
+++ b/eclass/bjam.eclass
@@ -14,6 +14,13 @@ src_configure() {
ebegin "Setting portage CXX and LD flags"
sed -i "s|^using gcc .*|using gcc : : : <compileflags>\"${CXXFLAGS}\" <linkflags>\"${LDFLAGS}\" ;|" ${S}/Jamroot.jam
eend $?
+
+ ebegin "Applying macro replacements"
+ env | sed "s/^/-D'/;s/$/'/" | xargs m4 /dev/null -F "${TMPDIR}/m4.env"
+ find "${S}" -name "*.in" | while read infile ; do
+ m4 -R "${TMPDIR}/m4.env" "${infile}" > "${infile%.in}"
+ done
+ eend $?
}
src_test() {
@@ -46,6 +53,11 @@ bjaminstall() {
--libdir="${D}/usr/$(get_libdir)" \
--includedir="${D}/usr/include/$include" \
${other[@]}
+
+ insinto ${PKG_CONFIG_PATH}
+ find "${S}" -name "*.pc" | while read infile ; do
+ doins ${infile}
+ done
}
doxygenbuild() {